Subject: Re: [PATCH 3/5] powerpc: Document device nodes for I2C devices.

From: Segher Boessenkool <[email-masked]>
Date: Thu, 17 May 2007 21:44:23 +0200

>>> +    - reg : Unshifted 7-bit I2C address for the device
>> What about 10-bit addressing, etc.?
>
> I specified 7-bit to address someone's question back when this first 
> came up of whether it was 7-bit unshifted or 8-bit shifted.  Perhaps 
> it should just say "Unshifted I2C address for the device"?

Better, yes.

>>> +    - compatible : The name of the Linux device driver that
>>> +      handles this device.  If unspecified, the name of the
>>> +      node will be used.
>> NO WAY
>
> Sorry, that was left in there from a while ago and I missed it.  It 
> should be defined the same way as any other compatible property (and 
> the i2c code in Linux should be fixed to allow drivers to specify 
> multiple match names).  No need for shouting. :-)

Oh yes there is :-)

>>> +    - interrupts : <a b> where a is the interrupt number and b is a
>> I2C doesn't do interrupts,
>
> ...but some I2C devices do.

So?  They do that outside of the I2C domain.

>> this doesn't belong in an I2C binding; it's redundant anyway
>
> I guess it's implicit that any device that generates interrupts will 
> have an interrupts property,

This is defined in the base spec as well as in the interrupt
mapping spec, yes.  The exact format of the "interrupts"
property for a device is defined in the binding for the
interrupt domain that interrupt lives in.

> though there are many other examples of this sort of redundancy in 
> booting-without-of.txt.  Its inclusion was mainly an example.
>
> > (and incorrect as well).
>
> How is it incorrect?

You specified that an interrupt specifier consists of two
cells.  This is wrong.

Segher